> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Runs

> List the organisation's dispatched AI agent runs across every task, newest first.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/ai-agent-runs
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-agent-runs:
    get:
      tags:
        - AI Agent Runs
      summary: List Agent Runs
      description: >-
        List the organisation's dispatched AI agent runs across every task,
        newest first.
      operationId: list_agent_runs_api_endpoint_api_v1_org_ai_agent_runs_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: query
          name: task_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Task Id
        - in: query
          name: status
          required: false
          schema:
            items:
              type: string
            title: Status
            type: array
        - in: query
          name: limit
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  runs:
                    items:
                      properties:
                        ai_session_id:
                          anyOf:
                            - format: uuid
                              type: string
                            - type: 'null'
                          title: Ai Session Id
                        finished_at:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                          title: Finished At
                        goal_status:
                          anyOf:
                            - type: string
                            - type: 'null'
                          title: Goal Status
                        id:
                          format: uuid
                          title: Id
                          type: string
                        outcome_summary:
                          anyOf:
                            - type: string
                            - type: 'null'
                          title: Outcome Summary
                        started_at:
                          format: date-time
                          title: Started At
                          type: string
                        status:
                          title: Status
                          type: string
                        task_id:
                          format: uuid
                          title: Task Id
                          type: string
                        task_name:
                          title: Task Name
                          type: string
                        trigger_context:
                          title: Trigger Context
                        turns_used:
                          title: Turns Used
                          type: integer
                      title: AgentRun
                      type: object
                    title: Runs
                    type: array
                title: AgentRunListResponse
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````